# ClientController (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.micasa.client
Class ClientController

    java.lang.Object
      com.samskivert.swing.Controller
          com.threerings.micasa.client.ClientController

All Implemented Interfaces:
  com.threerings.presents.client.SessionObserver, ActionListener, EventListener

    public class ClientController

extends Controller
implements com.threerings.presents.client.SessionObserver

Responsible for top-level control of the client user interface.

Field Summary

Fields inherited from class com.samskivert.swing.Controller
`DISPATCHER`

Constructor Summary
`ClientController(MiCasaContext ctx, MiCasaFrame frame)` Creates a new client controller.

Method Summary
`void` `clientDidLogoff(com.threerings.presents.client.Client client)`
`void` `clientDidLogon(com.threerings.presents.client.Client client)`
`void` `clientObjectDidChange(com.threerings.presents.client.Client client)`
`void` `clientWillLogon(com.threerings.presents.client.Client client)`
`boolean` `handleAction(ActionEvent action)`

Methods inherited from class com.samskivert.swing.Controller
`actionPerformed, configureAction, createActionButton, handleAction, handleAction, handleAction, postAction, postAction, postAction, setControlledPanel, wasAdded, wasRemoved`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientController

    public ClientController(MiCasaContext ctx,
                            MiCasaFrame frame)

  Creates a new client controller. The controller will set everything up in preparation for logging on.

Method Detail

### handleAction

    public boolean handleAction(ActionEvent action)

  Overrides:
    `handleAction` in class `Controller`

### clientWillLogon

    public void clientWillLogon(com.threerings.presents.client.Client client)

  Specified by:
    `clientWillLogon` in interface `com.threerings.presents.client.SessionObserver`

### clientDidLogon

    public void clientDidLogon(com.threerings.presents.client.Client client)

  Specified by:
    `clientDidLogon` in interface `com.threerings.presents.client.SessionObserver`

### clientObjectDidChange

    public void clientObjectDidChange(com.threerings.presents.client.Client client)

  Specified by:
    `clientObjectDidChange` in interface `com.threerings.presents.client.SessionObserver`

### clientDidLogoff

    public void clientDidLogoff(com.threerings.presents.client.Client client)

  Specified by:
    `clientDidLogoff` in interface `com.threerings.presents.client.SessionObserver`

Copyright © 2011. All Rights Reserved.